### Method

# Gimp TextLayer set_text

since: 2.6

#### Declaration [src]

    gboolean
    gimp_text_layer_set_text (
      GimpTextLayer* layer,
      const gchar* text
    )

#### Description [src]

Set the text of a text layer.

This procedure changes the text of a text layer.

Available since: 2.6

#### Parameters

`text`

  Type: `const gchar*`

  The new text to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE on success.